<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>Directory statcvs/src/net/sf/statcvs/pages/</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="Directory statcvs/src/net/sf/statcvs/pages/">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a></div>
<dl class="attributes">
    <dt>Directory Created:</dt>
    <dd><span class="date">2006-12-07 03:02</span></dd>
    <dt>Total Files:</dt>
    <dd>19</dd>
    <dt>Deleted Files:</dt>
    <dd>0</dd>
    <dt>Lines of Code:</dt>
    <dd>2097</dd>
</dl>
<p><a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/">Browse with ViewVC</a></p>
<p class="dirtree">
<a href="dir.html">[root]</a>/<a href="dir_statcvs.html">statcvs</a>/<a href="dir_statcvs_src.html">src</a>/<a href="dir_statcvs_src_net.html">net</a>/<a href="dir_statcvs_src_net_sf.html">sf</a>/<a href="dir_statcvs_src_net_sf_statcvs.html">statcvs</a>/<strong>pages</strong><br/>
&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<img src="folder.png" width="15" height="13" alt="directory in repo" title="directory in repo"/> 
<a href="dir_statcvs_src_net_sf_statcvs_pages_xml.html">xml</a> 
(11 files, 1295 lines)<br />
</p>

<div class="section">
<subsection name ="Lines of Code">
<p class="chart"><img src="loc_module_statcvs_src_net_sf_statcvs_pages.png" alt="statcvs/src/net/sf/statcvs/pages/ Lines of Code" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Developers">
  <table  class="statCvsTable" rules="groups" summary="All authors and the number of their changes and lines of code in this directory">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Author</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>146 (100.0%)</td>
        <td>4535 (100.0%)</td>
        <td>31.0</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="user_cyganiak.html" class="author">Richard Cyganiak</a></th>
        <td>86 (58.9%)</td>
        <td>1962 (43.3%)</td>
        <td>22.8</td>
      </tr>
      <tr  class="even">
        <th><a href="user_benoitx.html" class="author">Benoit Xhenseval</a></th>
        <td>40 (27.4%)</td>
        <td>1925 (42.4%)</td>
        <td>48.1</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_uid91994.html" class="author">uid91994</a></th>
        <td>18 (12.3%)</td>
        <td>627 (13.8%)</td>
        <td>34.8</td>
      </tr>
      <tr  class="even">
        <th><a href="user_jkealey.html" class="author">Jason Kealey</a></th>
        <td>1 (0.7%)</td>
        <td>13 (0.3%)</td>
        <td>13.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_jentzsch.html" class="author">Anja Jentzsch</a></th>
        <td>1 (0.7%)</td>
        <td>8 (0.2%)</td>
        <td>8.0</td>
      </tr>
    </tbody>
  </table>

</subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="20"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-14 19:32</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.12</span></span>
  </dt>
  <dd>
    <p class="comment">
Re-coded the auto-link facility this time using regular Expressions (from 41 lines of code to 3...).<br />
I'd recommend this book: <a href="http://www.amazon.co.uk/exec/obidos/ASIN/1590591070/benoitxhenseshal">http://www.amazon.co.uk/exec/obidos/ASIN/1590591070/benoitxhenseshal</a>
    </p>
    <p class="commitdetails"><strong>15</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.11&amp;r2=1.12" class="webrepository">HTML.java</a>&#160;<span class="change">(+15&#160;-43)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="19"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-03 18:38</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.7</span></span>
  </dt>
  <dd>
    <p class="comment">
Adding Head revision on index page for SVN.
    </p>
    <p class="commitdetails"><strong>18</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/IndexPageMaker.java?r1=1.6&amp;r2=1.7" class="webrepository">IndexPageMaker.java</a>&#160;<span class="change">(+18&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="18"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:52</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.14</span></span>
  </dt>
  <dd>
    <p class="comment">
Fixing FindBugs warnings / bugs.
    </p>
    <p class="commitdetails"><strong>10</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.13&amp;r2=1.14" class="webrepository">Page.java</a>&#160;<span class="change">(+10&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="17"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:22</span>
  </dt>
  <dd>
    <p class="comment">
Done an Eclipse cleanUp in order to reduce number of warnings by FindBugs / Checkstyle / PMD tools.<br />
Sorry if it is looking like a massive change...
    </p>
    <p class="commitdetails"><strong>1095</strong> lines of code changed in <span class="files">17 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/AllDevelopersPageMaker.java?r1=1.11&amp;r2=1.12" class="webrepository">AllDevelopersPageMaker.java</a>&#160;<span class="change">(+77&#160;-86)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.15&amp;r2=1.16" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+19&#160;-20)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.10&amp;r2=1.11" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+17&#160;-17)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectoryPageMaker.java?r1=1.8&amp;r2=1.9" class="webrepository">DirectoryPageMaker.java</a>&#160;<span class="change">(+136&#160;-140)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectorySizesPageMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">DirectorySizesPageMaker.java</a>&#160;<span class="change">(+20&#160;-23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectoryTreeFormatter.java?r1=1.5&amp;r2=1.6" class="webrepository">DirectoryTreeFormatter.java</a>&#160;<span class="change">(+70&#160;-73)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/FileSizesPageMaker.java?r1=1.6&amp;r2=1.7" class="webrepository">FileSizesPageMaker.java</a>&#160;<span class="change">(+61&#160;-68)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/IndexPageMaker.java?r1=1.5&amp;r2=1.6" class="webrepository">IndexPageMaker.java</a>&#160;<span class="change">(+72&#160;-76)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LOCPageMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">LOCPageMaker.java</a>&#160;<span class="change">(+13&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LogPageGroupMaker.java?r1=1.5&amp;r2=1.6" class="webrepository">LogPageGroupMaker.java</a>&#160;<span class="change">(+37&#160;-39)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/LogPageMaker.java?r1=1.7&amp;r2=1.8" class="webrepository">LogPageMaker.java</a>&#160;<span class="change">(+89&#160;-101)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/MarkupHTML.java?r1=1.3&amp;r2=1.4" class="webrepository">MarkupHTML.java</a>&#160;<span class="change">(+54&#160;-65)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/MarkupXDoc.java?r1=1.5&amp;r2=1.6" class="webrepository">MarkupXDoc.java</a>&#160;<span class="change">(+21&#160;-31)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/NavigationNode.java?r1=1.3&amp;r2=1.4" class="webrepository">NavigationNode.java</a>&#160;<span class="change">(+23&#160;-23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.12&amp;r2=1.13" class="webrepository">Page.java</a>&#160;<span class="change">(+290&#160;-315)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/PageGroup.java?r1=1.6&amp;r2=1.7" class="webrepository">PageGroup.java</a>&#160;<span class="change">(+86&#160;-90)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/ReportSuiteMaker.java?r1=1.4&amp;r2=1.5" class="webrepository">ReportSuiteMaker.java</a>&#160;<span class="change">(+10&#160;-10)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="16"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:15</span>
  </dt>
  <dd>
    <p class="comment">
Reduce log.
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.14&amp;r2=1.15" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+1&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.10&amp;r2=1.11" class="webrepository">HTML.java</a>&#160;<span class="change">(+15&#160;-5)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="15"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 19:08</span>
  </dt>
  <dd>
    <p class="comment">
Added auto-link for commit comments if the link start with either http:// https:// or simply www. (assuming that there is a space before www.)<br />
So these should work: <a href="http://www.appendium.com">http://www.appendium.com</a> and <a href="https://www.jboss.org">https://www.jboss.org</a><br />
and <a href="http://www.lavablast.com">www.lavablast.com</a>
    </p>
    <p class="commitdetails"><strong>233</strong> lines of code changed in <span class="files">3 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.13&amp;r2=1.14" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.9&amp;r2=1.10" class="webrepository">HTML.java</a>&#160;<span class="change">(+230&#160;-194)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.11&amp;r2=1.12" class="webrepository">Page.java</a>&#160;<span class="change">(+1&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="14"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-01 15:54</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.10</span></span>
  </dt>
  <dd>
    <p class="comment">
Fix for [ 1725844 ] division by zero. Thanks to Jan Dockx.
    </p>
    <p class="commitdetails"><strong>108</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.9&amp;r2=1.10" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+108&#160;-120)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="13"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-31 17:04</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.4</span></span>
  </dt>
  <dd>
    <p class="comment">
Removed some 1.5 code.
    </p>
    <p class="commitdetails"><strong>5</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/ReportSuiteMaker.java?r1=1.3&amp;r2=1.4" class="webrepository">ReportSuiteMaker.java</a>&#160;<span class="change">(+5&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="12"></a>
    <a href="user_jkealey.html" class="author">Jason Kealey</a>
    <span class="date">2008-03-31 02:21</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.9</span></span>
  </dt>
  <dd>
    <p class="comment">
Bug 1913627: (contributor:  Martin Majlis) Fix for division by zero error.
    </p>
    <p class="commitdetails"><strong>13</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.8&amp;r2=1.9" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+13&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="11"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-27 23:31</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.3</span></span>
  </dt>
  <dd>
    <p class="comment">
[1927587]Providing a basic XML export for the StatCVS statistics.
    </p>
    <p class="commitdetails"><strong>94</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/ReportSuiteMaker.java?r1=1.2&amp;r2=1.3" class="webrepository">ReportSuiteMaker.java</a>&#160;<span class="change">(+94&#160;-88)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="10"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-27 18:48</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.13</span></span>
  </dt>
  <dd>
    <p class="comment">
Only add a Revision number on the commit page if the commit is for one file only in CVS. Under StatSVN all committed files are part of the same revision.
    </p>
    <p class="commitdetails"><strong>219</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.12&amp;r2=1.13" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+219&#160;-215)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="9"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-26 23:42</span>
  </dt>
  <dd>
    <p class="comment">
Applied patch to StatCVS to add Affected files count per commit.<br />
Thanks to Martin Majlis.
    </p>
    <p class="commitdetails"><strong>27</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.11&amp;r2=1.12" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+8&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.8&amp;r2=1.9" class="webrepository">HTML.java</a>&#160;<span class="change">(+19&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="8"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-03-26 23:30</span>
  </dt>
  <dd>
    <p class="comment">
Patch from Martin Majlis for request 1919076<br />
Adding the revision number on the commit log page.
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.10&amp;r2=1.11" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+6&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.7&amp;r2=1.8" class="webrepository">HTML.java</a>&#160;<span class="change">(+10&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="7"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2007-04-09 17:38</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.7</span></span>
  </dt>
  <dd>
    <p class="comment">
As per my email earlier today, I have reverted to using the login id for the CommitScatterChart (full names would overlap too easily).<br />
So, in order to show the relationship between an author real name and an author id, I have added a column "Author Id" on the Developers page only,<br />
which is the page containing the scatter diagram.
    </p>
    <p class="commitdetails"><strong>12</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.6&amp;r2=1.7" class="webrepository">HTML.java</a>&#160;<span class="change">(+12&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="6"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2007-04-09 16:40</span>
  </dt>
  <dd>
    <p class="comment">
Suggested to add a title to the icons for directories, it is 100% backward compatible.  Any missing entry will be treated in the same way as before.<br />
<br />
The entries in statcvs.properties for icon description are: DELETED_DIRECTORY_ICON, DELETED_FILE_ICON, DIRECTORY_ICON, FILE_ICON and BUG_ICON.<br />
<br />
Some people found the icons 'difficult' to understand, the text, which is now part of the statcvs.properties (and hence customizable/i18n) should help.<br />
the original request was for StatSVN on <a href="http://sourceforge.net/tracker/index.php">http://sourceforge.net/tracker/index.php</a>?func=detail&amp;aid=1685216&amp;group_id=164845&amp;atid=833329
    </p>
    <p class="commitdetails"><strong>20</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DirectoryTreeFormatter.java?r1=1.4&amp;r2=1.5" class="webrepository">DirectoryTreeFormatter.java</a>&#160;<span class="change">(+3&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.5&amp;r2=1.6" class="webrepository">HTML.java</a>&#160;<span class="change">(+17&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="5"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2007-04-06 17:53</span>
  </dt>
  <dd>
    <p class="comment">
[Request 1252864 ] Displaying author real names, first cut.
    </p>
    <p class="commitdetails"><strong>37</strong> lines of code changed in <span class="files">4 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/AllDevelopersPageMaker.java?r1=1.10&amp;r2=1.11" class="webrepository">AllDevelopersPageMaker.java</a>&#160;<span class="change">(+2&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.9&amp;r2=1.10" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+3&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/DeveloperPageMaker.java?r1=1.7&amp;r2=1.8" class="webrepository">DeveloperPageMaker.java</a>&#160;<span class="change">(+18&#160;-6)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/HTML.java?r1=1.4&amp;r2=1.5" class="webrepository">HTML.java</a>&#160;<span class="change">(+14&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="4"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2007-04-01 22:41</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.10</span></span>
  </dt>
  <dd>
    <p class="comment">
Bugfix: #1691178 StatCVS has broken link if 1 author (Benoit)
    </p>
    <p class="commitdetails"><strong>2</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/AllDevelopersPageMaker.java?r1=1.9&amp;r2=1.10" class="webrepository">AllDevelopersPageMaker.java</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="3"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2007-03-20 23:15</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.5</span></span>
  </dt>
  <dd>
    <p class="comment">
iso-8859-1 instead of us-ascii for XML encoding (Benoit)
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/MarkupXDoc.java?r1=1.4&amp;r2=1.5" class="webrepository">MarkupXDoc.java</a>&#160;<span class="change">(+6&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2007-01-30 08:48</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.11</span></span>
  </dt>
  <dd>
    <p class="comment">
Fixed NPE with null chart (Bug #1629929)
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/Page.java?r1=1.10&amp;r2=1.11" class="webrepository">Page.java</a>&#160;<span class="change">(+6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2007-01-12 16:57</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.9</span></span>
  </dt>
  <dd>
    <p class="comment">
Streamlined the integration of bug trackers
    </p>
    <p class="commitdetails"><strong>2</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/pages</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/pages/CommitListFormatter.java?r1=1.8&amp;r2=1.9" class="webrepository">CommitListFormatter.java</a>&#160;<span class="change">(+2&#160;-5)</span>
      </li>
    </ul>
  </dd>

</dl>

<p>(26 more)</p>
</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>